Autor Thema: Debian Mosquitto installation schlägt fehl  (Gelesen 334 mal)

Offline Stivmaster

  • New Member
  • *
  • Beiträge: 43
Debian Mosquitto installation schlägt fehl
« am: 04 Juni 2017, 21:40:09 »
Hallo

ich muss euch mal wieder um Hilfe bitten, da ich mit meinen beschränkten Linux Kenntnissen und Google nicht weiterkomme.

Ich möchte wie im Titel beschreiben Mosquitto auf meinem NUC installieren. Es läuft Debian drauf, habe ich bei den ganzen Versuchen es zum laufen zu bekommen auch upgegraded.

Ich habe diverse Anleitungen probiert (auch die aus dem WIKI), bekomme aber immer wieder die Fehlermeldung:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 mosquitto : Hängt ab von: libssl1.0.0 (>= 1.0.1) ist aber nicht installierbar
             Hängt ab von: libwebsockets3 (>= 1.2) ist aber nicht installierbar
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

Ich habe schon einiges gegoogelt und komme einfach nicht weiter. Evtl. kann mir von euch jemand auf die Sprünge helfen.

Mfg

Stiv

Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3021
Antw:Debian Mosquitto installation schlägt fehl
« Antwort #1 am: 05 Juni 2017, 16:48:39 »
Welche Version der Libs hast Du denn Installiert?

Was ist eigentlich "Mosquitto" für eine Software?
- Bitte um Input für Output
- When there is a Shell, there is a Way

FHEM auf Gentoo/Ubuntu-Server
incl. CUL (433,868), JeeLink und SISPM

Offline Stivmaster

  • New Member
  • *
  • Beiträge: 43
Antw:Debian Mosquitto installation schlägt fehl
« Antwort #2 am: 05 Juni 2017, 17:38:03 »
Ich habe die libs gar nicht installiert.
Mosquitto ist ein Mqtt Broker.
Brauche ich für meine sonoff Pow, da die leider mit ESP easy nicht laufen.

Gesendet von meinem ONEPLUS A3003 mit Tapatalk

Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3021
Antw:Debian Mosquitto installation schlägt fehl
« Antwort #3 am: 06 Juni 2017, 08:20:06 »
... welche Versionen der Libarys bietet Dir den Dein Debian an?

Laut Angabe braucht die Software neuere Versionen als Dein Debian hat ...
- Bitte um Input für Output
- When there is a Shell, there is a Way

FHEM auf Gentoo/Ubuntu-Server
incl. CUL (433,868), JeeLink und SISPM

Offline Stivmaster

  • New Member
  • *
  • Beiträge: 43
Antw:Debian Mosquitto installation schlägt fehl
« Antwort #4 am: 06 Juni 2017, 21:23:28 »
Danke für deine Hilfe, aber ich gebe da aktuell auf. Mir hats meinen DHCP Server lahm gelegt bei dem Versuch die alte lib zu deinstallieren. Hat anscheinend auch was mit dem Unifi Controller zu tun. Bevor ich jetzt alles zerstöre, lass ich es lieber und setz im Winter noch mal neu auf.


Gesendet von meinem ONEPLUS A3003 mit Tapatalk


Offline Wernieman

  • Hero Member
  • *****
  • Beiträge: 3021
Antw:Debian Mosquitto installation schlägt fehl
« Antwort #5 am: 07 Juni 2017, 08:21:46 »
Zitat
alte lib zu deinstallieren
Das sollte man auch nur sehr überlegt tun.  Man "deinstalliert" nicht mal eben eine lib ... vorher sollte man immer gucken, wo sie verwendet wird
- Bitte um Input für Output
- When there is a Shell, there is a Way

FHEM auf Gentoo/Ubuntu-Server
incl. CUL (433,868), JeeLink und SISPM

Online Reinhart

  • Hero Member
  • *****
  • Beiträge: 1000
Antw:Debian Mosquitto installation schlägt fehl
« Antwort #6 am: Gestern um 21:22:23 »
ich hatte heute beim neuen Debian "stretch" 64-Bit das gleiche Problem.

mosquitto : Hängt ab von: libwebsockets3 (>= 1.2) ist aber nicht installierbar
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

ich konnte durch Änderung des Quellservers das Problem lösen und der Broker läuft nun fehlerfrei. Habe die Lösung bei Debian gefunden.

Im Verzeichnis /etc/apt/sources.list.d musst du in der Datei mosquitto-stretch.list (oder deiner Version) folgenden Eintrag (Spiegel-Server)) hinzufügen bzw. diese Datei mit dem Eintrag erstellen.

deb http://ftp.de.debian.org/debian stretch main
Vielleicht hilft dir diese Info auch bei deinem Problem weiter.

LG
Reinhart

« Letzte Änderung: Gestern um 21:24:13 von Reinhart »
FHEM auf Raspy3 + SSD, mit FS20, Homematic, ESP8266, Sonoff, eBus, RPi mit COC,NanoCUL, HM-CFG-LAN Adapter, MQTT, ESPEasy Bridge, Alexa + Custom Skills

 

decade-submarginal